﻿using System.Threading.Tasks;

namespace UltimaCR.Rotations
{
    public sealed partial class DarkKnight : Rotation
    {
        public override async Task<bool> Combat()
        {
            if (await Grit()) return true;
			if (await Convalescence()) return true;
			if (await Bloodbath()) return true;
			if (await Foresight()) return true;
			if (await ShadowWall()) return true;
			if (await Shadowskin()) return true;
			if (await DarkDance()) return true;
			if (await BloodPrice()) return true;
			if (await SyphonStrike()) return true;
            if (await Delirium()) return true;
            if (await Souleater()) return true;
            if (await CarveAndSplit()) return true;
            if (await Unmend()) return true;
            if (await Unleash()) return true;
            if (await Scourge()) return true;
			if (await Fracture()) return true;
            return await HardSlash();
        }

        public override async Task<bool> PVPRotation()
        {
            return false;
        }
    }
}